using Common.Library;

namespace Gready_Poang.EntityLayer;

public class PlayerColumn : EntityBase
{
    public PlayerColumn()
    {
        _playerName = string.Empty;
        _values = new List<string>();
    }


    private int _playerId;
    private string _playerName;
    private List<string> _values;
    public string PlayerName
    {
        get { return _playerName; }
        set
        {
            _playerName = value;
            RaisePropertyChanged(nameof(PlayerName));
        }
    }
    public List<string> Values
    {
        get { return _values; }
        set
        {
            _values = value;
            RaisePropertyChanged(nameof(Values));
        }
    }

    public int PlayerId
    {
        get { return _playerId; }
        set
        {
            _playerId = value;
            RaisePropertyChanged(nameof(PlayerId));
        }
    }

    private int _playerPoints;

    public int PlayerPoints
    {
        get { return _playerPoints; }
        set { _playerPoints = value; }
    }


}
